Subject: Re: Current powerpc.git build failures

From: David Gibson <[email-masked]>
Date: Wed, 9 May 2007 11:51:46 +1000

On Tue, May 08, 2007 at 06:18:29PM -0700, Jon Loeliger wrote:
> > Looks like.  AFAICT, the generic nopud.h and nopmd.h headers expect
> > page.h to be included before pgtable.h.  I think this patch should fix
> > the problem, but I don't have a suitable board to test with.
> > 
> 
> That would be me.  I'll give it a spin.

Duh, of course, I wasn't thinking at that point and realizing I could
at least test the build was fixed.  Which I've now done; and found
some other warnings caused by my patch.  Improved fix below.  Unless
you report that it breaks something, I'll ask Paul to pull it.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson